Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing
Class AddressingHelper

    java.lang.Object
      org.apache.axis2.addressing.AddressingHelper

    public class AddressingHelper

extends Object

Constructor Summary
`AddressingHelper()`

Method Summary
`static String` | `getAddressingRequirementParemeterValue(AxisDescription axisDescription)`
`static String` | `getInvocationPatternParameterValue(AxisOperation axisOperation)` Extract the parameter representing the Anonymous flag from the AxisOperation and return the String value.
`static String` | `getRequestAddressingRequirementParameterValue(MessageContext response)`
`static boolean` | `isFaultRedirected(MessageContext messageContext)` Returns true if the FaultTo address does not match one of the supported anonymous urls.
`static boolean` | `isReplyRedirected(MessageContext messageContext)` Returns true if the ReplyTo address does not match one of the supported anonymous urls.
`static boolean` | `isSyncFaultAllowed(MessageContext messageContext)` Returns true if the FaultTo address matches one of the supported anonymous urls.
`static boolean` | `isSyncReplyAllowed(MessageContext messageContext)` Returns true if the ReplyTo address matches one of the supported anonymous urls.
`static void` | `setAddressingRequirementParemeterValue(AxisDescription axisDescription, String value)`
`static void` | `setInvocationPatternParameterValue(AxisOperation axisOperation, String value)` Set the value of an existing unlocked Parameter representing Anonymous or add a new one if one does not exist.
`static boolean` | `shouldSendFaultToFaultTo(MessageContext messageContext)` If the inbound FaultTo header was invalid and caused a fault, the fault should not be sent to it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressingHelper

    public AddressingHelper()

Method Detail

### isSyncReplyAllowed

    public static boolean isSyncReplyAllowed(MessageContext messageContext)

  Returns true if the ReplyTo address matches one of the supported anonymous urls. If the ReplyTo is not set, anonymous is assumed, per the Final spec. The AddressingInHandler should have set the ReplyTo to non-null in the 2004/08 case to ensure the different semantics. (per AXIS2-885) According to the WS-Addressing Metadata spec the none URI must not be rejected.

  Parameters:
    `messageContext` -

### isSyncFaultAllowed

    public static boolean isSyncFaultAllowed(MessageContext messageContext)

  Returns true if the FaultTo address matches one of the supported anonymous urls. If the FaultTo is not set, the ReplyTo is checked per the spec. According to the WS-Addressing Metadata spec the none URI must not be rejected.

  Parameters:
    `messageContext` -
  See Also:
    `isSyncReplyAllowed(org.apache.axis2.context.MessageContext)`

### isReplyRedirected

    public static boolean isReplyRedirected(MessageContext messageContext)

  Returns true if the ReplyTo address does not match one of the supported anonymous urls. If the ReplyTo is not set, anonymous is assumed, per the Final spec. The AddressingInHandler should have set the ReplyTo to non-null in the 2004/08 case to ensure the different semantics. (per AXIS2-885)

  Parameters:
    `messageContext` -

### isFaultRedirected

    public static boolean isFaultRedirected(MessageContext messageContext)

  Returns true if the FaultTo address does not match one of the supported anonymous urls. If the FaultTo is not set, the ReplyTo is checked per the spec.

  Parameters:
    `messageContext` -
  See Also:
    `isReplyRedirected(org.apache.axis2.context.MessageContext)`

### shouldSendFaultToFaultTo

    public static boolean shouldSendFaultToFaultTo(MessageContext messageContext)

  If the inbound FaultTo header was invalid and caused a fault, the fault should not be sent to it.

  Returns:
    true if the fault should be sent to the FaultTo

### getAddressingRequirementParemeterValue

    public static String getAddressingRequirementParemeterValue(AxisDescription axisDescription)

### getRequestAddressingRequirementParameterValue

    public static String getRequestAddressingRequirementParameterValue(MessageContext response)

### getInvocationPatternParameterValue

    public static String getInvocationPatternParameterValue(AxisOperation axisOperation)

  Extract the parameter representing the Anonymous flag from the AxisOperation and return the String value. Return the default of "optional" if not specified.

  Parameters:
    `axisOperation` -

### setInvocationPatternParameterValue

    public static void setInvocationPatternParameterValue(AxisOperation axisOperation,
                                                          String value)

  Set the value of an existing unlocked Parameter representing Anonymous or add a new one if one does not exist. If a locked Parameter of the same name already exists the method will trace and return.

  Parameters:
    `axisOperation` -
    `value` -

### setAddressingRequirementParemeterValue

    public static void setAddressingRequirementParemeterValue(AxisDescription axisDescription,
                                                              String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.